Morpho - Bug #374

dtd parser cannot handle multi-rooted dtds
12/16/2001 04:51 PM - Dan Higgins
Priority: Normal Due date:

Assignee: Dan Higgins % Done: 0%
Category: morpho - general Estimated time: 0.00 hour
Target version: Postpone Spent time: 0.00 hour
Bugzilla-ld: 374

Description

Currently, the dtd parser uses its bultin abitlity to 'guess’ the root element

of a dtd. This does not work when there are unreferenced elements in the dtd (or

the dtd is really multirooted). Code should be changed to provide a root node

for the dtd parser to start from when it is generating document templates from

the dtd.

Related issues:

Blocks Morpho - Bug #553: support eml 2.0.0 and later revisions Resolved 07/09/2002

History

#1 - 11/06/2002 03:06 PM - Matt Jones
Will be obsolete when bug 553 is completed.

#2 - 02/06/2004 10:01 AM - Dan Higgins

no longer applicable

#3 - 03/27/2013 02:14 PM - Redmine Admin
Original Bugzilla ID was 374
